View Issue Details

IDProjectCategoryView StatusLast Update
0000995FreeCADFeaturepublic2019-08-14 15:12
Reporteryorik Assigned Toyorik  
PriorityurgentSeveritymajorReproducibilityN/A
Status assignedResolutionopen 
Product Version 
Target Version0.18Fixed in Version 
Summary0000995: Python3 compatibility (Ongoing)
DescriptionStarting a thread about python3 compatibility.
Additional InformationActive discussion thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=12534
TagsNo tags attached.
FreeCAD Information

Relationships

parent of 0001744 closedwmayer FreeCAD Use unicode in Unit system 
parent of 0003630 closedsliptonic Path Can't create a new tool 
related to 0001795 closedyorik Arch adapt IFC exporters to accept unicode filenames 

Activities

yorik

2013-04-17 15:22

administrator   ~0003071

Started to work on this in https://github.com/yorikvanhavre/FreeCAD/tree/python3

shoogen

2013-04-20 06:48

developer   ~0003086

Last edited: 2013-04-20 06:50

I think python 3 compatibility depends on issue 0001027.
Because we have to carefufully jugde when to use byte strings and when to use (default/unicode) objects.

yorik

2013-04-20 17:48

administrator   ~0003089

Yes without a doubt. I was trying to take the lazy way and leave at most as possible the strings as they are, and solve the utf problems later, as they arise....

But yes your approach would obviously be better

shoogen

2014-09-20 07:49

developer   ~0005134

http://forum.freecadweb.org/viewtopic.php?f=10&t=7713
https://github.com/yorikvanhavre/FreeCAD/tree/pyccc625

shoogen

2014-10-02 07:31

developer   ~0005177

Last edited: 2014-10-02 07:31

View 2 revisions

Maybe we should start using
from __future__ import print_function
in python modules

yorik

2014-10-05 22:53

administrator   ~0005194

As a proff of concept, I adapted the Draft module to be compatible with python3. It is relatively easy to make the python code compatible with both py2 and py3.

99% of the issues are:
- print something -> print(something)
- for k,v in dict.iteritems() -> for k,v in dict.items()
- if dict.has_key(k) -> if k in dict

Using 2to3 shows what needs to be changed:
- Try running "2to3" like this: 2to3 myfile.py
- This writes the changes (only do if you don't have any doubt about the changes, some might not be what you want): 2to3 -w myfile.py
- Sometimes 2to3 still shows print statements even after they are changed, in this case: 2to3 -x print myfile.py

shoogen

2014-10-06 18:01

developer   ~0005195

But the without the from __future__ imports the scripts will behave differently in python2 and python3, won't they?

yorik

2014-10-06 18:46

administrator   ~0005198

No, the above methods all work in python2 too, that's the whole point:

- print() works in both versions
- dict.iteritems() returns an iterable, dict.items() returns a list of tuples in python2, and an iterable in python3. Both are iterable anyway.
- if k in dict works in python2 too

There are stil la couple of things I'm not sure if they work in both versions, namely all about unicode. I lest them as they are, but added a # Python3 comment, so the day we switch, they will be easy to find (there are not many)

local imports also behave differently, but that are all easy things to fix later.

shoogen

2014-10-06 21:40

developer   ~0005200

I'm not convinced

$ python3
Python 3.2.3 (default, Feb 20 2013, 14:44:27)
[GCC 4.7.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> print (1,2,3)
1 2 3
>>>
$ python2
Python 2.7.3 (default, Mar 13 2014, 11:03:55)
[GCC 4.7.2] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> print (1,2,3)
(1, 2, 3)
>>>

yorik

2014-10-06 21:50

administrator   ~0005201

Last edited: 2014-10-06 21:51

View 2 revisions

hmm you picked exactly the corner case...
Anyway, that shouldn't be a very big problem

shoogen

2014-10-07 11:21

developer   ~0005202

why do we use print in the first place? (Instead of FreeCAD.Console...)

yorik

2014-10-07 12:16

administrator   ~0005203

Mainly for degugging I think. But you are right, probably many of the print statements should be converted to Console messages (and dutifully translated...)

shoogen

2015-01-30 17:34

developer   ~0005750

we should check our usage of as_std_string (without the encoding parameter)
git grep ".as_std_string()" src/App/ src/Gui/ src/Mod/
lists 31 occurrences

yorik

2016-01-03 19:12

administrator   ~0006663

current progresses in https://github.com/yorikvanhavre/FreeCAD/tree/py3-3 rebased on current master

- Base, App and Gui are ported
- Builds successfully with pyton2 and python3
- Crashes when launching with both versions :(

Kunda1

2017-01-28 20:44

administrator   ~0008064

Last edited: 2018-08-31 06:58

View 4 revisions

Python 3 port continues in forum: https://forum.freecadweb.org/viewtopic.php?f=10&t=12534
@looooo has been spearheading python 3 port: here is a roadmap list: https://github.com/looooo/FreeCAD/issues/8

Kunda1

2018-03-19 13:46

administrator   ~0011048

Per wmayer:

From my point of view we should finish the Py3 port ASAP when starting with v0.18 development. I would then make Py3 the default version but keep Py2 specific code for a while

wmayer
(link)

Related Changesets

FreeCAD: master ad3908cc

2014-09-17 23:30:58

yorik

Details Diff
Upgraded PyCXX to version 6.2.5 Affected Issues
0000995
mod - src/CXX/IndirectPythonInterface.cxx Diff File
mod - src/CXX/Python2/Config.hxx Diff File
mod - src/CXX/Python2/Exception.hxx Diff File
mod - src/CXX/Python2/ExtensionModule.hxx Diff File
mod - src/CXX/Python2/ExtensionOldType.hxx Diff File
mod - src/CXX/Python2/ExtensionType.hxx Diff File
mod - src/CXX/Python2/ExtensionTypeBase.hxx Diff File
mod - src/CXX/Python2/Extensions.hxx Diff File
rm - src/CXX/Python2/IndirectPythonInterface.cxx Diff File
mod - src/CXX/Python2/IndirectPythonInterface.hxx Diff File
mod - src/CXX/Python2/Objects.hxx Diff File
mod - src/CXX/Python2/PythonType.hxx Diff File
mod - src/CXX/Python2/cxx_extensions.cxx Diff File
add - src/CXX/Python3/Config.hxx Diff File
add - src/CXX/Python3/CxxDebug.hxx Diff File
add - src/CXX/Python3/Exception.hxx Diff File
add - src/CXX/Python3/ExtensionModule.hxx Diff File
add - src/CXX/Python3/ExtensionOldType.hxx Diff File
add - src/CXX/Python3/ExtensionType.hxx Diff File
add - src/CXX/Python3/ExtensionTypeBase.hxx Diff File
add - src/CXX/Python3/Extensions.hxx Diff File
add - src/CXX/Python3/IndirectPythonInterface.hxx Diff File
add - src/CXX/Python3/Objects.hxx Diff File
add - src/CXX/Python3/PythonType.hxx Diff File
add - src/CXX/Python3/cxx_extensions.cxx Diff File
add - src/CXX/Python3/cxxextensions.c Diff File
add - src/CXX/Python3/cxxsupport.cxx Diff File
mod - src/CXX/Version.hxx Diff File
mod - src/CXX/WrapPython.h Diff File
mod - src/CXX/cxxextensions.c Diff File
mod - src/CXX/cxxsupport.cxx Diff File

FreeCAD: master 69c4b37f

2014-09-18 15:04:26

yorik

Details Diff
Fixed relativepaths in PyCXX Affected Issues
0000995
mod - src/CXX/cxxextensions.c Diff File
mod - src/CXX/cxxsupport.cxx Diff File

FreeCAD: master f87bd2ac

2014-09-18 23:40:40

yorik

Details Diff
Patched PyCXX 6.2.5 with original FreeCAD changes made in 6.2.0 Affected Issues
0000995
mod - src/CXX/IndirectPythonInterface.cxx Diff File
mod - src/CXX/Python2/Config.hxx Diff File
mod - src/CXX/Python2/Exception.hxx Diff File
mod - src/CXX/Python2/ExtensionModule.hxx Diff File
mod - src/CXX/Python2/ExtensionType.hxx Diff File
mod - src/CXX/Python2/ExtensionTypeBase.hxx Diff File
mod - src/CXX/Python2/Extensions.hxx Diff File
mod - src/CXX/Python2/IndirectPythonInterface.hxx Diff File
mod - src/CXX/Python2/Objects.hxx Diff File
mod - src/CXX/Python2/PythonType.hxx Diff File
mod - src/CXX/Python2/cxx_extensions.cxx Diff File
mod - src/CXX/Python3/Config.hxx Diff File
mod - src/CXX/Python3/Exception.hxx Diff File
mod - src/CXX/Python3/ExtensionModule.hxx Diff File
mod - src/CXX/Python3/ExtensionType.hxx Diff File
mod - src/CXX/Python3/ExtensionTypeBase.hxx Diff File
mod - src/CXX/Python3/Extensions.hxx Diff File
mod - src/CXX/Python3/IndirectPythonInterface.hxx Diff File
mod - src/CXX/Python3/Objects.hxx Diff File
mod - src/CXX/Python3/PythonType.hxx Diff File
mod - src/CXX/Python3/cxx_extensions.cxx Diff File
mod - src/CXX/WrapPython.h Diff File
mod - src/CXX/cxxsupport.cxx Diff File

FreeCAD: master 8d2e08ff

2014-10-05 22:31:17

yorik

Details Diff
Little fixes to allow pycxx to compile with python3 Affected Issues
0000995
mod - src/CXX/Python3/Objects.hxx Diff File
mod - src/CXX/Python3/cxx_extensions.cxx Diff File

FreeCAD: master daedcf4f

2014-10-06 00:40:14

yorik

Details Diff
Draft: Adapted Draft module for python3 compatibility - issue 0000995 Affected Issues
0000995
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/DraftGeomUtils.py Diff File
mod - src/Mod/Draft/DraftGui.py Diff File
mod - src/Mod/Draft/DraftSnap.py Diff File
mod - src/Mod/Draft/DraftTools.py Diff File
mod - src/Mod/Draft/DraftTrackers.py Diff File
mod - src/Mod/Draft/DraftVecUtils.py Diff File
mod - src/Mod/Draft/InitGui.py Diff File
mod - src/Mod/Draft/importAirfoilDAT.py Diff File
mod - src/Mod/Draft/importDWG.py Diff File
mod - src/Mod/Draft/importDXF.py Diff File
mod - src/Mod/Draft/importOCA.py Diff File
mod - src/Mod/Draft/importSVG.py Diff File

FreeCAD: master faac8c36

2015-01-31 22:36:39

shoogen


Committer: wmayer Details Diff
add encoding parameter to .as_std_string()

to handle PyUnicode Objects. Usually ASCII for object names and Utf-8
for file names and console output.
issue 0000995
Affected Issues
0000995
mod - src/App/PropertyPythonObject.cpp Diff File
mod - src/Gui/Application.cpp Diff File
mod - src/Gui/ApplicationPy.cpp Diff File
mod - src/Gui/View3DPy.cpp Diff File
mod - src/Gui/ViewProviderPythonFeature.cpp Diff File
mod - src/Mod/Complete/Gui/AppCompleteGui.cpp Diff File
mod - src/Mod/Robot/App/WaypointPyImp.cpp Diff File
mod - src/Mod/Start/Gui/AppStartGui.cpp Diff File

FreeCAD: master f0951065

2015-10-15 16:16:16

Przemo Firszt


Committer: wmayer Details Diff
FEM: print should use brackets for python3 compatibility

Signed-off-by: Przemo Firszt <przemo@firszt.eu>
Affected Issues
0000995
mod - src/Mod/Fem/_CommandQuickAnalysis.py Diff File
mod - src/Mod/Fem/_JobControlTaskPanel.py Diff File

FreeCAD: master 391cdf81

2015-11-11 23:41:12

Przemo Firszt

Details Diff
FEM: Update except catch to python3

Signed-off-by: Przemo Firszt <przemo@firszt.eu>
Affected Issues
0000995
mod - src/Mod/Fem/FemTools.py Diff File

FreeCAD: master 5aea3220

2016-01-17 19:17:00

wmayer

Details Diff
+ simplify porting of template module to Python3 Affected Issues
0000995
mod - src/Tools/_TEMPLATE_/App/App_TEMPLATE_.cpp Diff File
mod - src/Tools/_TEMPLATE_/Gui/App_TEMPLATE_Gui.cpp Diff File

FreeCAD: master a467612b

2016-01-17 19:17:34

wmayer

Details Diff
+ simplify porting of Web module to Python3 Affected Issues
0000995
mod - src/Mod/Web/App/AppWeb.cpp Diff File
rm - src/Mod/Web/App/AppWebPy.cpp Diff File
mod - src/Mod/Web/App/CMakeLists.txt Diff File
mod - src/Mod/Web/Gui/AppWebGui.cpp Diff File
rm - src/Mod/Web/Gui/AppWebGuiPy.cpp Diff File
mod - src/Mod/Web/Gui/CMakeLists.txt Diff File

FreeCAD: master d78d7477

2016-01-17 22:13:32

wmayer

Details Diff
+ simplify porting of Start module to Python3 Affected Issues
0000995
mod - src/Mod/Start/App/AppStart.cpp Diff File
rm - src/Mod/Start/App/AppStartPy.cpp Diff File
mod - src/Mod/Start/App/CMakeLists.txt Diff File
mod - src/Mod/Start/Gui/AppStartGui.cpp Diff File
rm - src/Mod/Start/Gui/AppStartGuiPy.cpp Diff File
mod - src/Mod/Start/Gui/CMakeLists.txt Diff File

FreeCAD: master 36383135

2016-01-17 23:15:24

wmayer

Details Diff
+ simplify porting of Spreadsheet module to Python3 Affected Issues
0000995
mod - src/Mod/Spreadsheet/App/AppSpreadsheet.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/AppSpreadsheetGui.cpp Diff File
rm - src/Mod/Spreadsheet/Gui/AppSpreadsheetGuiPy.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/CMakeLists.txt Diff File

FreeCAD: master bfdaa46f

2016-01-18 11:43:20

wmayer

Details Diff
+ simplify porting of Sandbox module to Python3 Affected Issues
0000995
mod - src/Mod/Sandbox/App/AppSandbox.cpp Diff File
mod - src/Mod/Sandbox/Gui/AppSandboxGui.cpp Diff File

FreeCAD: master 65fe62d9

2016-01-18 12:19:54

wmayer

Details Diff
+ simplify porting of Sketcher module to Python3 Affected Issues
0000995
mod - src/Mod/Sketcher/App/AppSketcher.cpp Diff File
mod - src/Mod/Sketcher/App/AppSketcherPy.cpp Diff File
mod - src/Mod/Sketcher/Gui/AppSketcherGui.cpp Diff File
rm - src/Mod/Sketcher/Gui/AppSketcherGuiPy.cpp Diff File
mod - src/Mod/Sketcher/Gui/CMakeLists.txt Diff File

FreeCAD: master 10814929

2016-01-18 18:26:37

wmayer

Details Diff
+ simplify porting of Robot module to Python3 Affected Issues
0000995
mod - src/Mod/Robot/App/AppRobot.cpp Diff File
rm - src/Mod/Robot/App/AppRobotPy.cpp Diff File
mod - src/Mod/Robot/App/CMakeLists.txt Diff File
mod - src/Mod/Robot/Gui/AppRobotGui.cpp Diff File
rm - src/Mod/Robot/Gui/AppRobotGuiPy.cpp Diff File
mod - src/Mod/Robot/Gui/CMakeLists.txt Diff File

FreeCAD: master 05279d28

2016-01-18 19:14:57

wmayer

Details Diff
+ simplify porting of Raytracing module to Python3 Affected Issues
0000995
mod - src/Mod/Raytracing/App/AppRaytracing.cpp Diff File
mod - src/Mod/Raytracing/App/AppRaytracingPy.cpp Diff File
mod - src/Mod/Raytracing/Gui/AppRaytracingGui.cpp Diff File
mod - src/Mod/Raytracing/Gui/AppRaytracingGuiPy.cpp Diff File

FreeCAD: master cb922404

2016-01-20 00:00:41

wmayer

Details Diff
+ simplify porting of Points module to Python3 Affected Issues
0000995
mod - src/Mod/Points/App/AppPoints.cpp Diff File
mod - src/Mod/Points/App/AppPointsPy.cpp Diff File
mod - src/Mod/Points/Gui/AppPointsGui.cpp Diff File

FreeCAD: master a6434637

2016-01-20 10:26:12

wmayer

Details Diff
+ simplify porting of Test module to Python3 Affected Issues
0000995
mod - src/Mod/Test/Gui/AppTestGui.cpp Diff File

FreeCAD: master 28144778

2016-01-20 10:26:50

wmayer

Details Diff
+ simplify porting of ReverseEngineering module to Python3 Affected Issues
0000995
mod - src/Mod/ReverseEngineering/App/AppReverseEngineering.cpp Diff File
mod - src/Mod/ReverseEngineering/Gui/AppReverseEngineeringGui.cpp Diff File

FreeCAD: master f85d168e

2016-01-20 11:21:06

wmayer

Details Diff
+ simplify porting of Path module to Python3 Affected Issues
0000995
mod - src/Mod/Path/App/AppPath.cpp Diff File
mod - src/Mod/Path/App/AppPathPy.cpp Diff File
mod - src/Mod/Path/Gui/AppPathGui.cpp Diff File
mod - src/Mod/Path/Gui/AppPathGuiPy.cpp Diff File

FreeCAD: master ebc6d372

2016-01-20 11:57:59

wmayer

Details Diff
+ simplify porting of DraftUtils module to Python3 Affected Issues
0000995
mod - src/Mod/Draft/App/AppDraftUtils.cpp Diff File
mod - src/Mod/Draft/App/AppDraftUtilsPy.cpp Diff File

FreeCAD: master 91d6e24f

2016-01-20 17:00:43

wmayer

Details Diff
+ simplify porting of PartDesign module to Python3 Affected Issues
0000995
mod - src/Mod/PartDesign/App/AppPartDesign.cpp Diff File
mod - src/Mod/PartDesign/App/AppPartDesignPy.cpp Diff File
mod - src/Mod/PartDesign/Gui/AppPartDesignGui.cpp Diff File
rm - src/Mod/PartDesign/Gui/AppPartDesignGuiPy.cpp Diff File
mod - src/Mod/PartDesign/Gui/CMakeLists.txt Diff File

FreeCAD: master b10f8386

2016-01-20 22:05:53

wmayer

Details Diff
+ simplify porting of Part module to Python3 Affected Issues
0000995
mod - src/Mod/Part/App/AppPart.cpp Diff File
mod - src/Mod/Part/App/AppPartPy.cpp Diff File
mod - src/Mod/Part/Gui/AppPartGui.cpp Diff File

FreeCAD: master b5bf7d6b

2016-01-20 22:38:45

wmayer

Details Diff
+ simplify porting of MeshPart module to Python3 Affected Issues
0000995
mod - src/Mod/MeshPart/App/AppMeshPart.cpp Diff File
mod - src/Mod/MeshPart/App/AppMeshPartPy.cpp Diff File
mod - src/Mod/MeshPart/Gui/AppMeshPartGui.cpp Diff File
rm - src/Mod/MeshPart/Gui/AppMeshPartGuiPy.cpp Diff File
mod - src/Mod/MeshPart/Gui/CMakeLists.txt Diff File

FreeCAD: master a07b9cd0

2016-01-20 22:48:26

wmayer

Details Diff
+ simplify porting of Inspection module to Python3 Affected Issues
0000995
mod - src/Mod/Inspection/App/AppInspection.cpp Diff File
rm - src/Mod/Inspection/App/AppInspectionPy.cpp Diff File
mod - src/Mod/Inspection/App/CMakeLists.txt Diff File
mod - src/Mod/Inspection/Gui/AppInspectionGui.cpp Diff File
rm - src/Mod/Inspection/Gui/AppInspectionGuiPy.cpp Diff File
mod - src/Mod/Inspection/Gui/CMakeLists.txt Diff File

FreeCAD: master a5b6e5d4

2016-01-21 12:08:29

wmayer

Details Diff
+ simplify porting of Import module to Python3 Affected Issues
0000995
mod - src/Mod/Import/App/AppImport.cpp Diff File
mod - src/Mod/Import/App/AppImportPy.cpp Diff File
mod - src/Mod/Import/Gui/AppImportGui.cpp Diff File
mod - src/Mod/Import/Gui/AppImportGuiPy.cpp Diff File

FreeCAD: master 85d8d704

2016-01-21 12:27:12

wmayer

Details Diff
+ simplify porting of Image module to Python3 Affected Issues
0000995
mod - src/Mod/Image/App/AppImage.cpp Diff File
mod - src/Mod/Image/Gui/AppImageGui.cpp Diff File
mod - src/Mod/Image/Gui/AppImageGuiPy.cpp Diff File

FreeCAD: master 094a4352

2016-01-21 12:38:17

wmayer

Details Diff
+ simplify porting of Complete module to Python3 Affected Issues
0000995
mod - src/Mod/Complete/App/AppComplete.cpp Diff File
rm - src/Mod/Complete/App/AppCompletePy.cpp Diff File
mod - src/Mod/Complete/App/CMakeLists.txt Diff File
mod - src/Mod/Complete/Gui/AppCompleteGui.cpp Diff File
rm - src/Mod/Complete/Gui/AppCompleteGuiPy.cpp Diff File
mod - src/Mod/Complete/Gui/CMakeLists.txt Diff File

FreeCAD: master bf10bf33

2016-01-21 13:42:08

wmayer

Details Diff
+ simplify porting of Fem module to Python3 Affected Issues
0000995
mod - src/Mod/Fem/App/AppFem.cpp Diff File
mod - src/Mod/Fem/App/AppFemPy.cpp Diff File
mod - src/Mod/Fem/Gui/AppFemGui.cpp Diff File
mod - src/Mod/Fem/Gui/AppFemGuiPy.cpp Diff File

FreeCAD: master aa7aa647

2016-01-21 14:49:57

wmayer

Details Diff
+ simplify porting of Drawing module to Python3 Affected Issues
0000995
mod - src/Mod/Drawing/App/AppDrawing.cpp Diff File
mod - src/Mod/Drawing/App/AppDrawingPy.cpp Diff File
mod - src/Mod/Drawing/Gui/AppDrawingGui.cpp Diff File
mod - src/Mod/Drawing/Gui/AppDrawingGuiPy.cpp Diff File

FreeCAD: master c9f168d3

2016-01-21 15:49:22

wmayer

Details Diff
+ simplify porting of Mesh module to Python3 Affected Issues
0000995
mod - src/Mod/Mesh/App/AppMesh.cpp Diff File
mod - src/Mod/Mesh/App/AppMeshPy.cpp Diff File
mod - src/Mod/Mesh/Gui/AppMeshGui.cpp Diff File

FreeCAD: master 3803896f

2016-01-22 20:44:54

yorik


Committer: wmayer Details Diff
py3: ported Mesh to python3 Affected Issues
0000995
mod - src/Mod/Mesh/App/FacetPy.xml Diff File
mod - src/Mod/Mesh/App/FacetPyImp.cpp Diff File
mod - src/Mod/Mesh/App/Mesh.cpp Diff File
mod - src/Mod/Mesh/App/MeshPointPy.xml Diff File
mod - src/Mod/Mesh/App/MeshPointPyImp.cpp Diff File
mod - src/Mod/Mesh/App/MeshPy.xml Diff File
mod - src/Mod/Mesh/App/MeshPyImp.cpp Diff File

FreeCAD: master e90ddefb

2016-01-23 13:04:56

wmayer

Details Diff
py3: ported Points to python3 Affected Issues
0000995
mod - src/Mod/Points/App/PointsPy.xml Diff File
mod - src/Mod/Points/App/PointsPyImp.cpp Diff File

FreeCAD: master ed23c0d3

2016-01-23 14:29:36

wmayer


Committer: looooo Details Diff
py3: ported Part to python3 Affected Issues
0000995
mod - src/Mod/Part/App/AppPart.cpp Diff File
mod - src/Mod/Part/App/AppPartPy.cpp Diff File
mod - src/Mod/Part/App/BRepOffsetAPI_MakePipeShellPyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineCurvePy.xml Diff File
mod - src/Mod/Part/App/BSplineCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineSurfacePy.xml Diff File
mod - src/Mod/Part/App/BSplineSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierCurvePy.xml Diff File
mod - src/Mod/Part/App/BezierCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierSurfacePy.xml Diff File
mod - src/Mod/Part/App/BezierSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/GeometryCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/PropertyTopoShape.cpp Diff File
mod - src/Mod/Part/App/TopoShapeEdgePyImp.cpp Diff File
mod - src/Mod/Part/App/TopoShapePyImp.cpp Diff File
mod - src/Mod/Part/App/TopoShapeWirePyImp.cpp Diff File
mod - src/Mod/Part/Gui/AppPartGui.cpp Diff File
mod - src/Mod/Part/Gui/Command.cpp Diff File

FreeCAD: master 76b33977

2016-01-23 14:30:29

wmayer

Details Diff
py3: ported module init to python3 Affected Issues
0000995
mod - src/Mod/Image/App/AppImage.cpp Diff File
mod - src/Mod/Image/Gui/AppImageGui.cpp Diff File
mod - src/Mod/Mesh/App/AppMesh.cpp Diff File
mod - src/Mod/Mesh/Gui/AppMeshGui.cpp Diff File
mod - src/Mod/Points/App/AppPoints.cpp Diff File
mod - src/Mod/Points/Gui/AppPointsGui.cpp Diff File
mod - src/Mod/Test/Gui/AppTestGui.cpp Diff File
mod - src/Mod/Web/App/AppWeb.cpp Diff File
mod - src/Mod/Web/Gui/AppWebGui.cpp Diff File
mod - src/Tools/_TEMPLATE_/App/App_TEMPLATE_.cpp Diff File
mod - src/Tools/_TEMPLATE_/Gui/App_TEMPLATE_Gui.cpp Diff File

FreeCAD: master 55545fbc

2016-01-23 16:13:03

wmayer

Details Diff
py3: ported Start to python3 Affected Issues
0000995
mod - src/Mod/Start/App/AppStart.cpp Diff File
mod - src/Mod/Start/Gui/AppStartGui.cpp Diff File

FreeCAD: master 125fd78f

2016-01-23 16:13:22

wmayer

Details Diff
py3: ported Raytracing to python3 Affected Issues
0000995
mod - src/Mod/Raytracing/App/AppRaytracing.cpp Diff File
mod - src/Mod/Raytracing/App/AppRaytracingPy.cpp Diff File
mod - src/Mod/Raytracing/Gui/AppRaytracingGui.cpp Diff File

FreeCAD: master 944d62ef

2016-01-23 16:22:22

wmayer


Committer: looo Details Diff
py3: ported Import to python3 Affected Issues
0000995
mod - src/Mod/Import/App/AppImport.cpp Diff File
mod - src/Mod/Import/Gui/AppImportGui.cpp Diff File

FreeCAD: master 04e0620d

2016-01-23 17:00:36

wmayer


Committer: looo Details Diff
py3: ported Inspection to python3 Affected Issues
0000995
mod - src/Mod/Inspection/App/AppInspection.cpp Diff File
mod - src/Mod/Inspection/Gui/AppInspectionGui.cpp Diff File

FreeCAD: master 70aebe98

2016-01-23 17:07:00

wmayer

Details Diff
py3: ported Sandbox to python3 Affected Issues
0000995
mod - src/Mod/Sandbox/App/AppSandbox.cpp Diff File
mod - src/Mod/Sandbox/Gui/AppSandboxGui.cpp Diff File

FreeCAD: master 1558e920

2016-01-23 17:16:14

wmayer

Details Diff
py3: ported ReverseEngineering to python3 Affected Issues
0000995
mod - src/Mod/ReverseEngineering/App/AppReverseEngineering.cpp Diff File
mod - src/Mod/ReverseEngineering/Gui/AppReverseEngineeringGui.cpp Diff File

FreeCAD: master 21ffbeaf

2016-01-23 17:28:10

wmayer

Details Diff
py3: ported Robot to python3 Affected Issues
0000995
mod - src/Mod/Robot/App/AppRobot.cpp Diff File
mod - src/Mod/Robot/App/WaypointPy.xml Diff File
mod - src/Mod/Robot/App/WaypointPyImp.cpp Diff File
mod - src/Mod/Robot/Gui/AppRobotGui.cpp Diff File

FreeCAD: master bcde3cd5

2016-01-23 18:04:03

wmayer


Committer: looooo Details Diff
py3: ported Skechter to python3 Affected Issues
0000995
mod - src/Mod/Sketcher/App/AppSketcher.cpp Diff File
mod - src/Mod/Sketcher/App/ConstraintPy.xml Diff File
mod - src/Mod/Sketcher/App/ConstraintPyImp.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File
mod - src/Mod/Sketcher/App/SketchPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchPyImp.cpp Diff File
mod - src/Mod/Sketcher/Gui/AppSketcherGui.cpp Diff File
mod - src/Mod/Sketcher/InitGui.py Diff File

FreeCAD: master 381419c2

2016-01-23 18:04:27

wmayer


Committer: looooo Details Diff
py3: ported PartDesign to python3 Affected Issues
0000995
mod - src/Mod/PartDesign/App/AppPartDesign.cpp Diff File
mod - src/Mod/PartDesign/Gui/AppPartDesignGui.cpp Diff File
mod - src/Mod/PartDesign/InitGui.py Diff File

FreeCAD: master 8696ecdf

2016-01-23 18:29:59

wmayer

Details Diff
py3: ported Draft to python3 Affected Issues
0000995
mod - src/Mod/Draft/App/AppDraftUtils.cpp Diff File

FreeCAD: master 38921cf3

2016-01-23 18:30:15

wmayer


Committer: looo Details Diff
py3: ported Complete to python3 Affected Issues
0000995
mod - src/Mod/Complete/App/AppComplete.cpp Diff File
mod - src/Mod/Complete/Gui/AppCompleteGui.cpp Diff File

FreeCAD: master 3d3a8d01

2016-01-23 19:52:37

wmayer

Details Diff
py3: ported Spreadsheet to python3 Affected Issues
0000995
mod - src/Mod/Spreadsheet/App/AppSpreadsheet.cpp Diff File
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File
mod - src/Mod/Spreadsheet/Gui/AppSpreadsheetGui.cpp Diff File

FreeCAD: master a101d426

2016-01-23 20:17:33

wmayer

Details Diff
py3: ported Drawing to python3 Affected Issues
0000995
mod - src/Mod/Drawing/App/AppDrawing.cpp Diff File
mod - src/Mod/Drawing/Gui/AppDrawingGui.cpp Diff File

FreeCAD: master 32bacd0b

2016-01-23 20:59:22

wmayer


Committer: looo Details Diff
py3: ported Path to python3 Affected Issues
0000995
mod - src/Mod/Path/App/AppPath.cpp Diff File
mod - src/Mod/Path/App/CommandPyImp.cpp Diff File
mod - src/Mod/Path/App/PathPy.xml Diff File
mod - src/Mod/Path/App/PathPyImp.cpp Diff File
mod - src/Mod/Path/App/TooltablePyImp.cpp Diff File
mod - src/Mod/Path/Gui/AppPathGui.cpp Diff File

FreeCAD: master 2673f9ed

2016-01-24 01:33:54

wmayer

Details Diff
py3: ported MeshPart to python3 Affected Issues
0000995
mod - src/Mod/MeshPart/App/AppMeshPart.cpp Diff File
mod - src/Mod/MeshPart/App/AppMeshPartPy.cpp Diff File
mod - src/Mod/MeshPart/Gui/AppMeshPartGui.cpp Diff File

FreeCAD: master 4f43cfac

2016-01-25 13:20:29

wmayer


Committer: looo Details Diff
py3: adapt scripts to work with Python3 Affected Issues
0000995
mod - src/App/PropertyGeo.cpp Diff File
mod - src/Mod/Arch/ArchEquipment.py Diff File
mod - src/Mod/Arch/ArchProfile.py Diff File
mod - src/Mod/Arch/ArchStairs.py Diff File
mod - src/Mod/Arch/ArchWindow.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Fem/ccxFrdReader.py Diff File
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 742d92c6

2016-01-28 15:52:49

yorik


Committer: wmayer Details Diff
py3: fix in draft translate function Affected Issues
0000995
mod - src/Mod/Draft/DraftTools.py Diff File

FreeCAD: master 3efc4fee

2016-01-28 18:58:31

Yorik van Havre


Committer: wmayer Details Diff
py3: python3-related fix in Spreadsheet Affected Issues
0000995
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master 9b6ef856

2016-02-03 15:40:22

Yorik van Havre


Committer: wmayer Details Diff
py3: fixed error in spreadsheet Affected Issues
0000995
mod - src/Mod/Spreadsheet/App/SheetPyImp.cpp Diff File

FreeCAD: master 81464b5e

2016-03-12 10:44:28

plaes


Committer: wmayer Details Diff
python: Draft: *.py: Fix syntax for Python3 Affected Issues
0000995
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/DraftGeomUtils.py Diff File
mod - src/Mod/Draft/DraftTools.py Diff File

FreeCAD: master 55826040

2016-03-12 10:47:44

plaes


Committer: wmayer Details Diff
python: Drawing: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Drawing/DrawingExample.py Diff File

FreeCAD: master 159dbe2c

2016-03-12 11:09:42

plaes


Committer: looo Details Diff
python: OpenSCAD: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/OpenSCAD/OpenSCAD2Dgeom.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADCommands.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADFeatures.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADUtils.py Diff File
mod - src/Mod/OpenSCAD/exportCSG.py Diff File
mod - src/Mod/OpenSCAD/importCSG.py Diff File
mod - src/Mod/OpenSCAD/prototype.py Diff File
mod - src/Mod/OpenSCAD/replaceobj.py Diff File
mod - src/Mod/OpenSCAD/tokrules.py Diff File

FreeCAD: master 15916016

2016-03-12 11:14:43

plaes


Committer: looo Details Diff
py3: Arch: *.py: Fix syntax for python3 Affected Issues
0000995
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Arch/ArchEquipment.py Diff File
mod - src/Mod/Arch/ArchFloor.py Diff File
mod - src/Mod/Arch/ArchProfile.py Diff File
mod - src/Mod/Arch/ArchRebar.py Diff File
mod - src/Mod/Arch/ArchSectionPlane.py Diff File
mod - src/Mod/Arch/ArchSpace.py Diff File
mod - src/Mod/Arch/ArchStairs.py Diff File
mod - src/Mod/Arch/ArchStructure.py Diff File
mod - src/Mod/Arch/ArchVRM.py Diff File
mod - src/Mod/Arch/ArchWall.py Diff File
mod - src/Mod/Arch/ArchWindow.py Diff File
mod - src/Mod/Arch/importDAE.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Arch/importIFClegacy.py Diff File

FreeCAD: master da1081bc

2016-03-12 12:42:43

Priit Laes


Committer: looooo Details Diff
python: PartDesign: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/PartDesign/InitGui.py Diff File
mod - src/Mod/PartDesign/Scripts/FilletArc.py Diff File
mod - src/Mod/PartDesign/Scripts/RadialCopy.py Diff File
mod - src/Mod/PartDesign/WizardShaft/SegmentFunction.py Diff File
mod - src/Mod/PartDesign/WizardShaft/Shaft.py Diff File
mod - src/Mod/PartDesign/fcgear/svggear.py Diff File

FreeCAD: master 71f6a289

2016-03-12 12:59:57

plaes


Committer: looo Details Diff
python: Path: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Path/PathScripts/TooltableEditor.py Diff File
mod - src/Mod/Path/PathScripts/centroid_post.py Diff File
mod - src/Mod/Path/PathScripts/example_pre.py Diff File
mod - src/Mod/Path/PathScripts/rml_post.py Diff File
mod - src/Mod/Path/PathScripts/slic3r_pre.py Diff File

FreeCAD: master a39ef71d

2016-03-12 13:02:09

Priit Laes


Committer: wmayer Details Diff
python: Raytracing: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Raytracing/RaytracingExample.py Diff File

FreeCAD: master 8b5fb47e

2016-03-12 13:05:12

Priit Laes


Committer: wmayer Details Diff
python: Robot: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Robot/KukaExporter.py Diff File
mod - src/Mod/Robot/MovieTool.py Diff File
mod - src/Mod/Robot/RobotExample.py Diff File
mod - src/Mod/Robot/RobotExampleTrajectoryOutOfShapes.py Diff File

FreeCAD: master 3a273788

2016-03-12 13:06:34

Priit Laes


Committer: looooo Details Diff
python: Sketcher: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Sketcher/InitGui.py Diff File

FreeCAD: master f6b6e62a

2016-03-12 13:11:25

plaes


Committer: wmayer Details Diff
python: TemplatePyMod: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/TemplatePyMod/Automation.py Diff File
mod - src/Mod/TemplatePyMod/Commands.py Diff File
mod - src/Mod/TemplatePyMod/FeaturePython.py Diff File
mod - src/Mod/TemplatePyMod/MengerSponge.py Diff File
mod - src/Mod/TemplatePyMod/Tests.py Diff File

FreeCAD: master 91e2e004

2016-03-12 13:22:37

plaes


Committer: wmayer Details Diff
python: Test: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Test/BaseTests.py Diff File
mod - src/Mod/Test/Gui/qtunittest.py Diff File
mod - src/Mod/Test/TestGui.py Diff File
mod - src/Mod/Test/Workbench.py Diff File
mod - src/Mod/Test/testPathArray.py Diff File
mod - src/Mod/Test/testPathArraySel.py Diff File
mod - src/Mod/Test/testmakeWireString.py Diff File
mod - src/Mod/Test/unittestgui.py Diff File

FreeCAD: master f9cb89a9

2016-03-12 14:08:38

Priit Laes


Committer: wmayer Details Diff
python: Spreadsheet: *.py: Fix python3 syntax Affected Issues
0000995
mod - src/Mod/Spreadsheet/App/Spreadsheet_legacy.py Diff File

FreeCAD: master da2b9f38

2016-04-14 02:00:13

looo


Committer: wmayer Details Diff
py3: error with decode translation.
translation already is a function defined in DraftTools and is responsable for right decoding. Not doing it twice.
Affected Issues
0000995
mod - src/Mod/Draft/DraftTools.py Diff File

FreeCAD: master 8ad2c699

2016-10-01 22:26:48

yorik


Committer: looo Details Diff
py3: open function is in module 'io' in py3 instead of __builtin__ Affected Issues
0000995
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Arch/ArchRoof.py Diff File
mod - src/Mod/Arch/ArchSchedule.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Arch/importIFClegacy.py Diff File
mod - src/Mod/Arch/importOBJ.py Diff File
mod - src/Mod/Arch/importSH3D.py Diff File
mod - src/Mod/Arch/importWebGL.py Diff File
mod - src/Mod/Draft/importAirfoilDAT.py Diff File
mod - src/Mod/Draft/importDXF.py Diff File
mod - src/Mod/Draft/importOCA.py Diff File
mod - src/Mod/Draft/importSVG.py Diff File

FreeCAD: master 42331bde

2017-01-14 19:22:15

looo

Details Diff
python3: neutral fixes Affected Issues
0000995
mod - src/Mod/Part/BOPTools/GeneralFuseResult.py Diff File
mod - src/Mod/Part/BOPTools/ShapeMerge.py Diff File

FreeCAD: master adb9353d

2017-01-15 16:00:19

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000444 from looooo/python3-fixes

python3: neutral fixes
Affected Issues
0000995
mod - src/Mod/Part/BOPTools/GeneralFuseResult.py Diff File
mod - src/Mod/Part/BOPTools/ShapeMerge.py Diff File

FreeCAD: master 31e44895

2017-01-17 09:28:07

looo

Details Diff
py3: resolving diff in Arch Affected Issues
0000995
mod - src/Mod/Arch/ArchRebar.py Diff File

FreeCAD: master 1a21a4bc

2017-01-17 11:03:42

looo

Details Diff
py3: cherry-picking fixes
a cherry pick for the arch module introduced problems with python2 and the start-wb.
Affected Issues
0000995
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 2bc11621

2017-01-17 11:13:36

looo

Details Diff
py3: Arch: print fixes Affected Issues
0000995
mod - src/Mod/Arch/ArchEquipment.py Diff File
mod - src/Mod/Arch/ArchSectionPlane.py Diff File
mod - src/Mod/Arch/importOBJ.py Diff File
mod - src/Mod/Arch/importWebGL.py Diff File

FreeCAD: master f3fb6762

2017-01-17 12:08:16

looo

Details Diff
py3: Arch: some more fixes Affected Issues
0000995
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchProfile.py Diff File

FreeCAD: master c0ec75eb

2017-01-17 13:39:24

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000449 from looooo/python3-arch

Python3 Arch
Affected Issues
0000995
mod - src/App/PropertyGeo.cpp Diff File
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Arch/ArchEquipment.py Diff File
mod - src/Mod/Arch/ArchFloor.py Diff File
mod - src/Mod/Arch/ArchProfile.py Diff File
mod - src/Mod/Arch/ArchRebar.py Diff File
mod - src/Mod/Arch/ArchRoof.py Diff File
mod - src/Mod/Arch/ArchSchedule.py Diff File
mod - src/Mod/Arch/ArchSectionPlane.py Diff File
mod - src/Mod/Arch/ArchSpace.py Diff File
mod - src/Mod/Arch/ArchStairs.py Diff File
mod - src/Mod/Arch/ArchStructure.py Diff File
mod - src/Mod/Arch/ArchVRM.py Diff File
mod - src/Mod/Arch/ArchWall.py Diff File
mod - src/Mod/Arch/ArchWindow.py Diff File
mod - src/Mod/Arch/importDAE.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Arch/importIFClegacy.py Diff File
mod - src/Mod/Arch/importOBJ.py Diff File
mod - src/Mod/Arch/importSH3D.py Diff File
mod - src/Mod/Arch/importWebGL.py Diff File
mod - src/Mod/Draft/importAirfoilDAT.py Diff File
mod - src/Mod/Draft/importDXF.py Diff File
mod - src/Mod/Draft/importOCA.py Diff File
mod - src/Mod/Draft/importSVG.py Diff File
mod - src/Mod/Fem/ccxFrdReader.py Diff File
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master e9b57222

2017-01-19 16:37:31

looo


Committer: yorik Details Diff
python3: dict.has_key("key") --> "key" in dict Affected Issues
0000995
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Idf/Idf.py Diff File
mod - src/Mod/Import/App/SCL/BaseType.py Diff File
mod - src/Mod/Import/App/SCL/ConstructedDataTypes.py Diff File
mod - src/Mod/Import/App/SCL/SimpleReader.py Diff File
mod - src/Mod/Show/TempoVis.py Diff File
mod - src/Mod/Test/Gui/qtunittest.py Diff File
mod - src/Mod/Test/unittestgui.py Diff File
mod - src/Tools/MakeMacBundleRelocatable.py Diff File
mod - src/Tools/generateBase/generateDS.py Diff File

FreeCAD: master 4915a099

2017-01-21 21:43:45

looo

Details Diff
py3: code from python3-branch broke the translation in Start-wb. This commit should fix this Affected Issues
0000995
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 0afb7b6a

2017-01-22 13:01:55

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000462 from looooo/fix_translation

py3: fix for translation in start wb
Affected Issues
0000995
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 9f2a389d

2017-01-25 09:16:06

looo

Details Diff
py3: add PyMOD_INIT_FUNC
from: py3: ported module init to python3, wwmayer
Affected Issues
0000995
mod - src/Base/PyObjectBase.h Diff File

FreeCAD: master a460c540

2017-01-27 14:53:10

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000472 from looooo/python3-complete

py3: ported Complete to python3
Affected Issues
0000995
mod - src/Base/PyObjectBase.h Diff File
mod - src/Mod/Complete/App/AppComplete.cpp Diff File
mod - src/Mod/Complete/Gui/AppCompleteGui.cpp Diff File

FreeCAD: master dcdce7ba

2017-01-28 10:30:17

looo


Committer: wmayer Details Diff
py3: Test: print Affected Issues
0000995
mod - src/Mod/Test/Document.py Diff File

FreeCAD: master 8165b2ab

2017-01-28 21:27:45

looo


Committer: wmayer Details Diff
py3: Draft: python3 translate Affected Issues
0000995
mod - src/Mod/Draft/DraftTools.py Diff File

FreeCAD: master fc2010ba

2017-01-29 16:27:42

yorik

Details Diff
Arch: Export rebars to IFC as SweptDiskSolids + fixed half-done py3 compatibility - fixes 0002684 Affected Issues
0000995, 0002684
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchRebar.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Draft/Draft.py Diff File

FreeCAD: master b265030d

2017-01-29 21:01:14

looooo


Committer: wmayer Details Diff
py3: ReverseEngeneering: port Py_InitFunc to python3 Affected Issues
0000995
mod - src/Mod/ReverseEngineering/App/AppReverseEngineering.cpp Diff File

FreeCAD: master e47edae9

2017-01-30 04:11:45

kkremitzki


Committer: looo Details Diff
Update Path to py3-compatible printing Affected Issues
0000995
mod - src/Mod/Path/PathScripts/PathCompoundExtended.py Diff File
mod - src/Mod/Path/PathScripts/PathDressup.py Diff File
mod - src/Mod/Path/PathScripts/PathDressupDogbone.py Diff File
mod - src/Mod/Path/PathScripts/PathDressupDragknife.py Diff File
mod - src/Mod/Path/PathScripts/PathDrilling.py Diff File
mod - src/Mod/Path/PathScripts/PathKurveUtils.py Diff File
mod - src/Mod/Path/PathScripts/PathMillFace.py Diff File
mod - src/Mod/Path/PathScripts/PathPocket.py Diff File
mod - src/Mod/Path/PathScripts/PathPost.py Diff File
mod - src/Mod/Path/PathScripts/PathPostProcessor.py Diff File
mod - src/Mod/Path/PathScripts/PathProfileEdges.py Diff File
mod - src/Mod/Path/PathScripts/PathSanity.py Diff File
mod - src/Mod/Path/PathScripts/PathSurface.py Diff File
mod - src/Mod/Path/PathScripts/PathToolLibraryManager.py Diff File
mod - src/Mod/Path/PathScripts/PathUtils.py Diff File
mod - src/Mod/Path/PathScripts/centroid_post.py Diff File
mod - src/Mod/Path/PathScripts/dumper_post.py Diff File
mod - src/Mod/Path/PathScripts/dynapath_post.py Diff File
mod - src/Mod/Path/PathScripts/example_post.py Diff File
mod - src/Mod/Path/PathScripts/generic_post.py Diff File
mod - src/Mod/Path/PathScripts/linuxcnc_post.py Diff File
mod - src/Mod/Path/PathScripts/opensbp_post.py Diff File
mod - src/Mod/Path/PathScripts/opensbp_pre.py Diff File

FreeCAD: master 06a5bfb0

2017-01-30 04:12:28

kkremitzki


Committer: looo Details Diff
Remove py3-incompatible tuple argument from Path Affected Issues
0000995
mod - src/Mod/Path/PathScripts/PathLog.py Diff File

FreeCAD: master 9d85f3bb

2017-01-30 04:21:48

kkremitzki


Committer: wmayer Details Diff
Update arch exception catching for py3 Affected Issues
0000995
mod - src/Mod/Arch/Dice3DS/dom3ds.py Diff File

FreeCAD: master 52fc8191

2017-01-30 18:19:32

looo


Committer: wmayer Details Diff
py3: start: make the startpage load again Affected Issues
0000995
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 76a4e746

2017-01-30 20:32:13

looo


Committer: wmayer Details Diff
py3: Draft: Trackers integer division Affected Issues
0000995
mod - src/Mod/Draft/DraftTrackers.py Diff File

FreeCAD: master 915a1b18

2017-02-03 10:24:55

looo


Committer: wmayer Details Diff
py3: Draft: use ordered dicts Affected Issues
0000995
mod - src/Mod/Draft/DraftSnap.py Diff File

FreeCAD: master d925db17

2017-02-11 10:04:28

looo


Committer: wmayer Details Diff
py3: Material: print to python3
taken from: 23fa650261ed346b2c5a6216b7720b87e063b27d
author: kkremitzki

Update Arch,Fem,Material,Spreadsheet for py3 print
Affected Issues
0000995
mod - src/Mod/Material/MaterialEditor.py Diff File

FreeCAD: master 05544f39

2017-02-12 18:06:07

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000521 from looooo/python3-OpenSCAD

python3: OpenSCAD
Affected Issues
0000995
mod - src/Mod/OpenSCAD/OpenSCAD2Dgeom.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADCommands.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADFeatures.py Diff File
mod - src/Mod/OpenSCAD/OpenSCADUtils.py Diff File
mod - src/Mod/OpenSCAD/exportCSG.py Diff File
mod - src/Mod/OpenSCAD/importCSG.py Diff File
mod - src/Mod/OpenSCAD/prototype.py Diff File
mod - src/Mod/OpenSCAD/replaceobj.py Diff File
mod - src/Mod/OpenSCAD/tokrules.py Diff File

FreeCAD: master 99fa203f

2017-02-15 22:07:59

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000522 from looooo/python3-import+inspect

Python3 import+inspect
Affected Issues
0000995
mod - src/Mod/Import/App/AppImport.cpp Diff File
mod - src/Mod/Import/Gui/AppImportGui.cpp Diff File
mod - src/Mod/Inspection/App/AppInspection.cpp Diff File
mod - src/Mod/Inspection/Gui/AppInspectionGui.cpp Diff File

FreeCAD: master 4d21adf4

2017-02-17 14:25:58

looooo


Committer: wmayer Details Diff
py3: spreadsheet: gathering spreadsheet relevant commits:
356b3b5736d6a83a91050973f77db9fc005b8551 Update Arch,Fem,Material,Spreadsheet for py3 print
70967107210481e362eab1cef78d15b8ba08c300 py3: Fixes from last rebase
Affected Issues
0000995
mod - src/Mod/Spreadsheet/TestSpreadsheet.py Diff File
mod - src/Mod/Spreadsheet/importXLSX.py Diff File

FreeCAD: master 5c0bcf61

2017-02-18 19:58:58

looo


Committer: wmayer Details Diff
py3: FEM, PyMods, preprocessor conditions, Py::Long vs Py::Int Affected Issues
0000995
mod - src/Mod/Fem/Gui/ViewProviderFemMeshPyImp.cpp Diff File
mod - src/Mod/Fem/Gui/AppFemGui.cpp Diff File
mod - src/Mod/Fem/App/HypothesisPy.cpp Diff File
mod - src/Mod/Fem/App/FemMeshPyImp.cpp Diff File
mod - src/Mod/Fem/App/FemMeshPy.xml Diff File
mod - src/Mod/Fem/App/AppFem.cpp Diff File

FreeCAD: master 3617fc36

2017-02-18 20:14:12

looo


Committer: wmayer Details Diff
py3: FEM, put print in brackets and import print_function Affected Issues
0000995
mod - src/Mod/Fem/importZ88Mesh.py Diff File
mod - src/Mod/Fem/FemToolsZ88.py Diff File
mod - src/Mod/Fem/FemMesh2Mesh.py Diff File

FreeCAD: master 8bc6936b

2017-02-18 20:15:16

looo


Committer: wmayer Details Diff
py3: FEM, fix import Units module Affected Issues
0000995
mod - src/Mod/Fem/FemTools.py Diff File

FreeCAD: master 70451135

2017-02-18 20:23:29

looo


Committer: wmayer Details Diff
py3: FEM, convert map to list Affected Issues
0000995
mod - src/Mod/Fem/importCcxFrdResults.py Diff File

FreeCAD: master 9a5d920f

2017-02-18 20:24:39

looo


Committer: wmayer Details Diff
py3: FEM, redefine open in import modules Affected Issues
0000995
mod - src/Mod/Fem/importCcxFrdResults.py Diff File
mod - src/Mod/Fem/importCcxDatResults.py Diff File

FreeCAD: master be2b5777

2017-02-18 20:34:38

berndhahnebach


Committer: wmayer Details Diff
py3, FEM, redifine open in all import modules Affected Issues
0000995
mod - src/Mod/Fem/importZ88O2Results.py Diff File
mod - src/Mod/Fem/importZ88Mesh.py Diff File
mod - src/Mod/Fem/importVTKResults.py Diff File
mod - src/Mod/Fem/importInpMesh.py Diff File
mod - src/Mod/Fem/importCcxFrdResults.py Diff File

FreeCAD: master b61a95c7

2017-02-20 18:49:07

looooo


Committer: wmayer Details Diff
py3: TechDraw: Int->Long Affected Issues
0000995
mod - src/Mod/TechDraw/App/DrawParametricTemplatePyImp.cpp Diff File

FreeCAD: master d5348c60

2017-02-23 17:53:39

looo


Committer: wmayer Details Diff
py3: Mesh: fix py3 Long/Int problem with python2 Affected Issues
0000995
mod - src/Mod/Mesh/App/FacetPyImp.cpp Diff File
mod - src/Mod/Mesh/App/MeshPointPyImp.cpp Diff File
mod - src/Mod/Mesh/App/MeshPyImp.cpp Diff File
mod - src/Mod/MeshPart/App/AppMeshPartPy.cpp Diff File

FreeCAD: master 0e9189e7

2017-02-28 15:59:15

looooo


Committer: wmayer Details Diff
py3: Points: gathering commits:
5f682d2a97a0b965813077d03fa2aee65377f3b2
5ccfa18e8c8471639a7f98e294625c5532e7440e
24836b36d5214db6823d6ac409afa42ce47ce263
Affected Issues
0000995
mod - src/Mod/Points/App/AppPoints.cpp Diff File
mod - src/Mod/Points/App/PointsPyImp.cpp Diff File

FreeCAD: master 47059805

2017-02-28 16:04:53

looooo


Committer: wmayer Details Diff
py3: Robot: gathering remaining diff of Robot-Modul
d90e334005baa59805a9c812203ef107ca3be2a8
Affected Issues
0000995
mod - src/Mod/Robot/App/WaypointPyImp.cpp Diff File

FreeCAD: master 1a4385e0

2017-02-28 17:08:06

wmayer

Details Diff
py3: fix Python2 build Affected Issues
0000995
mod - src/Mod/Points/App/PointsPyImp.cpp Diff File
mod - src/Mod/Robot/App/WaypointPyImp.cpp Diff File

FreeCAD: master a388a9d7

2017-03-01 16:10:46

looooo

Details Diff
py3: Part: App: gathering commits relevant for Mod/Part/App Affected Issues
0000995
mod - src/Mod/Part/App/AppPart.cpp Diff File
mod - src/Mod/Part/App/AttachEnginePyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/Geom2d/BSplineCurve2dPy.xml Diff File
mod - src/Mod/Part/App/Geom2d/BSplineCurve2dPyImp.cpp Diff File
mod - src/Mod/Part/App/Geom2d/BezierCurve2dPy.xml Diff File
mod - src/Mod/Part/App/Geom2d/BezierCurve2dPyImp.cpp Diff File
mod - src/Mod/Part/App/PropertyTopoShape.cpp Diff File
mod - src/Mod/Part/App/TopoShapePyImp.cpp Diff File

FreeCAD: master 69828c26

2017-03-01 16:12:49

looooo

Details Diff
py3: Part: BOPTools:
to make the BOPTools available in python3 the way to import these tools had to be changed:
old: ```from Part import BOPTools``` -> new: ```import BOPTools```
this is also changed for python2
Affected Issues
0000995
mod - src/Mod/Part/BOPTools/JoinFeatures.py Diff File
mod - src/Mod/Part/BOPTools/SplitFeatures.py Diff File
mod - src/Mod/Part/InitGui.py Diff File
mod - src/Mod/Part/JoinFeatures.py Diff File

FreeCAD: master 8b45976c

2017-03-01 16:15:19

looooo

Details Diff
py3: Part: Gui: gathering commits from python3-branch Affected Issues
0000995
mod - src/Mod/Part/AttachmentEditor/Commands.py Diff File
mod - src/Mod/Part/AttachmentEditor/TaskAttachmentEditor.py Diff File
mod - src/Mod/Part/Gui/AppPartGui.cpp Diff File

FreeCAD: master dd02fc12

2017-03-01 16:21:19

looooo

Details Diff
py3: Sketcher: remaining diff of python3-branch Affected Issues
0000995
mod - src/Mod/Sketcher/App/ConstraintPyImp.cpp Diff File

FreeCAD: master 4664e5bb

2017-03-01 19:58:46

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000573 from looooo/python3-Part+PD+Sketcher

Python3 part+pd+sketcher
Affected Issues
0000995
mod - src/Mod/Part/App/AppPart.cpp Diff File
mod - src/Mod/Part/App/AppPartPy.cpp Diff File
mod - src/Mod/Part/App/AttachEnginePyImp.cpp Diff File
mod - src/Mod/Part/App/BRepOffsetAPI_MakePipeShellPyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineCurvePy.xml Diff File
mod - src/Mod/Part/App/BSplineCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BSplineSurfacePy.xml Diff File
mod - src/Mod/Part/App/BSplineSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierCurvePy.xml Diff File
mod - src/Mod/Part/App/BezierCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/BezierSurfacePy.xml Diff File
mod - src/Mod/Part/App/BezierSurfacePyImp.cpp Diff File
mod - src/Mod/Part/App/Geom2d/BSplineCurve2dPy.xml Diff File
mod - src/Mod/Part/App/Geom2d/BSplineCurve2dPyImp.cpp Diff File
mod - src/Mod/Part/App/Geom2d/BezierCurve2dPy.xml Diff File
mod - src/Mod/Part/App/Geom2d/BezierCurve2dPyImp.cpp Diff File
mod - src/Mod/Part/App/GeometryCurvePyImp.cpp Diff File
mod - src/Mod/Part/App/PropertyTopoShape.cpp Diff File
mod - src/Mod/Part/App/TopoShapeEdgePyImp.cpp Diff File
mod - src/Mod/Part/App/TopoShapePyImp.cpp Diff File
mod - src/Mod/Part/App/TopoShapeWirePyImp.cpp Diff File
mod - src/Mod/Part/AttachmentEditor/Commands.py Diff File
mod - src/Mod/Part/AttachmentEditor/TaskAttachmentEditor.py Diff File
mod - src/Mod/Part/BOPTools/JoinFeatures.py Diff File
mod - src/Mod/Part/BOPTools/SplitFeatures.py Diff File
mod - src/Mod/Part/Gui/AppPartGui.cpp Diff File
mod - src/Mod/Part/Gui/Command.cpp Diff File
mod - src/Mod/Part/InitGui.py Diff File
mod - src/Mod/Part/JoinFeatures.py Diff File
mod - src/Mod/PartDesign/App/AppPartDesign.cpp Diff File
mod - src/Mod/PartDesign/Gui/AppPartDesignGui.cpp Diff File
mod - src/Mod/PartDesign/InitGui.py Diff File
mod - src/Mod/PartDesign/Scripts/FilletArc.py Diff File
mod - src/Mod/PartDesign/Scripts/RadialCopy.py Diff File
mod - src/Mod/PartDesign/WizardShaft/SegmentFunction.py Diff File
mod - src/Mod/PartDesign/WizardShaft/Shaft.py Diff File
mod - src/Mod/PartDesign/fcgear/svggear.py Diff File
mod - src/Mod/Sketcher/App/AppSketcher.cpp Diff File
mod - src/Mod/Sketcher/App/ConstraintPy.xml Diff File
mod - src/Mod/Sketcher/App/ConstraintPyImp.cpp Diff File
mod - src/Mod/Sketcher/App/SketchObjectPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchObjectPyImp.cpp Diff File
mod - src/Mod/Sketcher/App/SketchPy.xml Diff File
mod - src/Mod/Sketcher/App/SketchPyImp.cpp Diff File
mod - src/Mod/Sketcher/Gui/AppSketcherGui.cpp Diff File
mod - src/Mod/Sketcher/InitGui.py Diff File

FreeCAD: master 946c1268

2017-03-02 07:54:13

looo


Committer: wmayer Details Diff
py3: Start: gathering diff of py3-branch
ec9dcf7453d44ce21e6ab5e460293006a49e7ccc
Affected Issues
0000995
mod - src/Mod/Start/StartPage/StartPage.py Diff File

FreeCAD: master 99131438

2017-03-02 07:58:59

looo


Committer: wmayer Details Diff
py3: Test: gathering diff of py3-branch
ec9dcf7453d44ce21e6ab5e460293006a49e7ccc
Affected Issues
0000995
mod - src/Mod/Test/BaseTests.py Diff File
mod - src/Mod/Test/Gui/qtunittest.py Diff File
mod - src/Mod/Test/Workbench.py Diff File

FreeCAD: master f94e1ff2

2017-03-02 08:02:12

looo


Committer: wmayer Details Diff
py3: web: gathering diff of py3-branch
76b3397762cb8e24b589e5d6de1bb623382f61fd
ec9dcf7453d44ce21e6ab5e460293006a49e7ccc
11eb995a2e88df1125056403fb302ce85749f83c
Affected Issues
0000995
mod - src/Mod/Web/Gui/AppWebGui.cpp Diff File
mod - src/Mod/Web/Gui/BrowserView.cpp Diff File

FreeCAD: master 7a0a9974

2017-03-02 08:24:29

looo


Committer: wmayer Details Diff
py3: Arch: mostly print-statements
7247937288be85fe217c2d57cdb96c9a666e4e28
00528f4b445fd851df53a79b4be6f1ff480f74d0
b7e3a874dbadbac1c1ecfade4b8676c15fdf25ee
Affected Issues
0000995
mod - src/Mod/Arch/ArchCommands.py Diff File
mod - src/Mod/Arch/ArchComponent.py Diff File
mod - src/Mod/Arch/ArchProfile.py Diff File
mod - src/Mod/Arch/ArchSchedule.py Diff File
mod - src/Mod/Arch/ArchSite.py Diff File
mod - src/Mod/Arch/ArchStructure.py Diff File
mod - src/Mod/Arch/import3DS.py Diff File
mod - src/Mod/Arch/importIFC.py Diff File
mod - src/Mod/Arch/importSH3D.py Diff File

FreeCAD: master 81884f78

2017-03-03 08:05:11

looo


Committer: yorik Details Diff
py3: gathering diff for CMakeList.txt
fe96347c28039e97a0acdc37f7df9861ffc96eda
33073603bd3b20a2debb9444a7247266f658baaa
6400fcca2cb8f5fde95013d4de97c2c45f3bb4e7
7c50633c8efc6d65d96f1b6f820c89320eabe1dc
Affected Issues
0000995
mod - CMakeLists.txt Diff File

FreeCAD: master 0196d50c

2017-03-04 10:41:13

looo


Committer: yorik Details Diff
cmake: reset shiboken-cmake-suffix for python < 3 Affected Issues
0000995
mod - CMakeLists.txt Diff File

FreeCAD: master 2f93571c

2017-03-04 15:59:48

yorik


Committer: GitHub Details Diff
Fixed python3 mistake in main cmake file Affected Issues
0000995
mod - CMakeLists.txt Diff File

FreeCAD: master 84f86442

2017-04-26 15:46:31

looo


Committer: yorik Details Diff
py3: part-design: involute-gear Affected Issues
0000995
mod - src/Mod/PartDesign/InitGui.py Diff File
mod - src/Mod/PartDesign/fcgear/fcgear.py Diff File
mod - src/Mod/PartDesign/fcgear/involute.py Diff File

FreeCAD: master 226dd17e

2017-05-05 13:30:13

looo


Committer: wmayer Details Diff
py3: path: some fixes to make path py3-compileable Affected Issues
0000995
mod - src/Mod/Path/App/AppPath.cpp Diff File
mod - src/Mod/Path/App/AppPathPy.cpp Diff File
mod - src/Mod/Path/App/AreaPyImp.cpp Diff File
mod - src/Mod/Path/App/ParamsHelper.h Diff File

FreeCAD: master aa3f9288

2017-05-05 17:33:03

yorik


Committer: wmayer Details Diff
py3: Gui: files A-P ported to python3 Affected Issues
0000995
mod - src/Gui/Application.cpp Diff File
mod - src/Gui/ApplicationPy.cpp Diff File
mod - src/Gui/CallTips.cpp Diff File
mod - src/Gui/Command.cpp Diff File
mod - src/Gui/FreeCADGuiInit.py Diff File
mod - src/Gui/OnlineDocumentation.cpp Diff File
mod - src/Gui/PythonConsole.cpp Diff File
mod - src/Gui/PythonConsolePy.cpp Diff File
mod - src/Gui/PythonDebugger.cpp Diff File
mod - src/Gui/PythonWorkbenchPyImp.cpp Diff File

FreeCAD: master a3539c51

2017-05-06 14:28:00

looo


Committer: wmayer Details Diff
py3: resolve dangling-pointer issues Affected Issues
0000995
mod - src/Gui/PythonWorkbenchPyImp.cpp Diff File

FreeCAD: master 4f044dcb

2017-05-06 18:10:53

yorik


Committer: looo Details Diff
py3: Gui: files P-Z ported to python3 Affected Issues
0000995
mod - src/Gui/Selection.cpp Diff File
mod - src/Gui/ViewProviderPyImp.cpp Diff File
mod - src/Gui/WidgetFactory.cpp Diff File
mod - src/Gui/WorkbenchPyImp.cpp Diff File

FreeCAD: master 0d033757

2017-05-09 22:07:47

yorik


Committer: wmayer Details Diff
py3: App: files A-C ported to python3 Affected Issues
0000995
mod - src/App/Application.cpp Diff File
mod - src/App/ApplicationPy.cpp Diff File

FreeCAD: master ca3e58e2

2017-05-11 07:55:40

looo


Committer: wmayer Details Diff
py3: App: files D-Z ported to python3
issue 0000995
diff to py3-branch will remain in the following files in src/App:
- ExtensionContainer.cpp
- FeaturePythonPyImp.h +.inl
most likely these files depend on Tools and Base
Affected Issues
0000995
mod - src/App/DocumentObjectPyImp.cpp Diff File
mod - src/App/DocumentPyImp.cpp Diff File
mod - src/App/FeaturePythonPyImp.h Diff File
mod - src/App/ObjectIdentifier.cpp Diff File
mod - src/App/PropertyContainerPyImp.cpp Diff File
mod - src/App/PropertyFile.cpp Diff File
mod - src/App/PropertyGeo.cpp Diff File
mod - src/App/PropertyPythonObject.cpp Diff File
mod - src/App/PropertyStandard.cpp Diff File
mod - src/App/PropertyUnits.cpp Diff File

FreeCAD: master b07075db

2017-05-11 11:27:24

looo


Committer: wmayer Details Diff
py3: AddonManager: use urllib.request insted of urllib2
issue 0000995
Affected Issues
0000995
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master b77d8cac

2017-05-11 17:47:54

wmayer

Details Diff
minor fixes for pr749 Affected Issues
0000995
mod - src/App/DocumentObjectPyImp.cpp Diff File
mod - src/App/DocumentPyImp.cpp Diff File

FreeCAD: master dc413acc

2017-05-15 20:36:21

wmayer

Details Diff
fix build failure and make Py2/Py3 specific change Affected Issues
0000995
mod - src/Base/Exception.cpp Diff File

FreeCAD: master fed9d791

2017-05-17 05:31:59

lorenz


Committer: wmayer Details Diff
StringIO/ io fix for addonmanager

io.StringIO handles unicode in py2 and 3. StringIO.StringIO handles str in python2
Affected Issues
0000995
mod - src/Mod/AddonManager/AddonManager.py Diff File

FreeCAD: master ef22d520

2017-05-17 11:24:17

looooo


Committer: wmayer Details Diff
py3: define xrange for python3
this is done in files where the xrange is used.
replace this with range once python2 is not supported anymore.
issue 0000995
Affected Issues
0000995
mod - src/Mod/Arch/Dice3DS/dom3ds.py Diff File
mod - src/Mod/Arch/Dice3DS/util.py Diff File
mod - src/Mod/Part/CompoundTools/CompoundFilter.py Diff File
mod - src/Mod/Path/PathScripts/PathDrilling.py Diff File
mod - src/Mod/Path/PathScripts/PathJob.py Diff File
mod - src/Mod/Path/PathScripts/PathSurface.py Diff File

FreeCAD: master 2becb8a0

2017-05-17 14:59:39

Yorik van Havre


Committer: wmayer Details Diff
py3: Base: files I-R ported to python3
PyObjectBase.cpp and PyObjectBase.h not included
issue 0000995
Affected Issues
0000995
mod - src/Base/MatrixPyImp.cpp Diff File
mod - src/Base/PyTools.c Diff File
mod - src/Base/QuantityPyImp.cpp Diff File

FreeCAD: master 5fbca1a4

2017-05-18 09:25:13

wmayer

Details Diff
py3: port PR changes to be compatible with Py3 Affected Issues
0000995
mod - src/Mod/OpenSCAD/importCSG.py Diff File

FreeCAD: master 0e9e49cb

2017-05-18 12:31:32

Yorik van Havre


Committer: wmayer Details Diff
py3: Base: files R-Z ported to python3
issue 0000995
Affected Issues
0000995
mod - src/Base/Tools.cpp Diff File
mod - src/Base/UnitPyImp.cpp Diff File
mod - src/Base/UnitsApi.cpp Diff File
mod - src/Base/VectorPyImp.cpp Diff File
mod - src/Base/swigpyrun.inl Diff File

FreeCAD: master 94c68d72

2017-05-18 21:27:58

looooo


Committer: wmayer Details Diff
py3: base: repair compile-fail Affected Issues
0000995
mod - src/Base/MatrixPyImp.cpp Diff File

FreeCAD: master 852a9841

2017-05-22 04:57:43

looooo


Committer: Yorik van Havre Details Diff
py3: CXX: remaining diff:
win: exernalize missing CXX-functions
define PYCXX_PYTHON_2TO3
Affected Issues
0000995
mod - src/CXX/Python3/Config.hxx Diff File
mod - src/CXX/Python3/ExtensionType.hxx Diff File
mod - src/CXX/Python3/IndirectPythonInterface.hxx Diff File
mod - src/CXX/Python3/Objects.hxx Diff File
mod - src/CXX/Python3/cxx_extensions.cxx Diff File

FreeCAD: master 11dcd18e

2017-05-30 09:13:55

looooo


Committer: wmayer Details Diff
py3: src/Tools: python3 diff, 1. part
issue 0000995
Affected Issues
0000995
mod - src/Tools/PythonToCPP.py Diff File
mod - src/Tools/SubWCRev.py Diff File
mod - src/Tools/generate.py Diff File
add - src/Tools/generateBase/__exec_new.py Diff File
add - src/Tools/generateBase/__exec_old.py Diff File
mod - src/Tools/generateBase/generateModel_Module.py Diff File
mod - src/Tools/generateBase/generateTools.py Diff File

FreeCAD: master 947c10a4

2017-05-31 14:57:40

looooo


Committer: wmayer Details Diff
py3: src/Tools: python3 diff, 2. part
issue 0000995
Affected Issues
0000995
mod - src/Tools/generate.py Diff File
mod - src/Tools/generateBase/generateDS.py Diff File
mod - src/Tools/generateTemplates/template.py Diff File
mod - src/Tools/generateTemplates/templateModule.py Diff File
mod - src/Tools/generateTemplates/templateModuleApp.py Diff File
mod - src/Tools/generateTemplates/templateModuleAppFeature.py Diff File
mod - src/Tools/generateTemplates/templateModuleAppMain.py Diff File
mod - src/Tools/generateTemplates/templateModuleGui.py Diff File

FreeCAD: master a6894034

2017-07-03 06:06:49

looooo


Committer: Yorik van Havre Details Diff
travis: build freecad with py3 Affected Issues
0000995
mod - .travis.yml Diff File

FreeCAD: master 2e118be3

2017-07-09 15:28:00

Bernd Hahnebach


Committer: Yorik van Havre Details Diff
FEM: unit tests, temporary workaround for py3 Affected Issues
0000995
mod - src/Mod/Fem/TestFem.py Diff File

FreeCAD: master d3309886

2019-01-04 12:15:18

cclauss


Committer: wmayer Details Diff
Fix TabError for Python 3

Was split out of 0001885...
```
./src/Tools/ArchiveNameFromVersionHeader.py:41:34: E999 TabError: inconsistent use of tabs and spaces in indentation
version['FCRepositoryHash'] = SHA
^
```
Affected Issues
0000995
mod - src/Tools/ArchiveNameFromVersionHeader.py Diff File

Issue History

Date Modified Username Field Change
2013-02-14 20:41 yorik New Issue
2013-02-14 20:41 yorik Status new => assigned
2013-02-14 20:41 yorik Assigned To => yorik
2013-04-17 15:22 yorik Note Added: 0003071
2013-04-20 06:48 shoogen Note Added: 0003086
2013-04-20 06:49 shoogen Note Edited: 0003086
2013-04-20 06:50 shoogen Note Edited: 0003086
2013-04-20 17:48 yorik Note Added: 0003089
2013-04-23 22:05 yorik Relationship added child of 0001027
2013-11-04 23:05 yorik Target Version 0.14 =>
2014-07-06 15:27 yorik Target Version => 0.15
2014-09-13 21:19 shoogen Relationship added parent of 0001744
2014-09-20 07:49 shoogen Note Added: 0005134
2014-09-27 18:46 yorik Changeset attached => FreeCAD Master master f87bd2ac
2014-09-27 18:47 yorik Changeset attached => FreeCAD Master master 69c4b37f
2014-09-27 18:47 yorik Changeset attached => FreeCAD Master master ad3908cc
2014-10-02 07:31 shoogen Note Added: 0005177
2014-10-02 07:31 shoogen Note Edited: 0005177 View Revisions
2014-10-05 22:40 yorik Changeset attached => FreeCAD Master master 8d2e08ff
2014-10-05 22:53 yorik Note Added: 0005194
2014-10-05 23:00 yorik Changeset attached => FreeCAD Master master daedcf4f
2014-10-06 18:01 shoogen Note Added: 0005195
2014-10-06 18:46 yorik Note Added: 0005198
2014-10-06 21:40 shoogen Note Added: 0005200
2014-10-06 21:50 yorik Note Added: 0005201
2014-10-06 21:51 yorik Note Edited: 0005201 View Revisions
2014-10-07 11:21 shoogen Note Added: 0005202
2014-10-07 12:16 yorik Note Added: 0005203
2014-10-11 12:43 shoogen Relationship deleted child of 0001027
2014-10-22 08:17 shoogen Relationship added related to 0001795
2015-01-20 23:28 yorik Target Version 0.15 =>
2015-01-30 17:34 shoogen Note Added: 0005750
2015-02-08 14:59 wmayer Changeset attached => FreeCAD Master master faac8c36
2016-01-03 19:12 yorik Note Added: 0006663
2017-01-28 20:44 Kunda1 Note Added: 0008064
2017-01-29 21:59 Kunda1 Note Edited: 0008064 View Revisions
2017-01-29 21:59 Kunda1 Note Edited: 0008064 View Revisions
2017-03-13 13:56 Kunda1 Changeset attached => FreeCAD master 0196d50c
2017-03-13 13:57 Kunda1 Changeset attached => FreeCAD master 81884f78
2017-03-13 13:58 Kunda1 Changeset attached => FreeCAD master 7a0a9974
2017-03-13 13:58 Kunda1 Changeset attached => FreeCAD master f94e1ff2
2017-03-13 13:58 Kunda1 Changeset attached => FreeCAD master 99131438
2017-03-13 13:58 Kunda1 Changeset attached => FreeCAD master 946c1268
2017-03-13 13:59 Kunda1 Changeset attached => FreeCAD master 4664e5bb
2017-03-13 13:59 Kunda1 Changeset attached => FreeCAD master dd02fc12
2017-03-13 13:59 Kunda1 Changeset attached => FreeCAD master 8b45976c
2017-03-13 14:00 Kunda1 Changeset attached => FreeCAD master 69828c26
2017-03-13 14:00 Kunda1 Changeset attached => FreeCAD master a388a9d7
2017-03-13 14:01 Kunda1 Changeset attached => FreeCAD master 1a4385e0
2017-03-13 14:01 Kunda1 Changeset attached => FreeCAD master 47059805
2017-03-13 14:01 Kunda1 Changeset attached => FreeCAD master 0e9189e7
2017-03-13 14:03 Kunda1 Changeset attached => FreeCAD master d5348c60
2017-03-13 14:04 Kunda1 Changeset attached => FreeCAD master b61a95c7
2017-03-13 14:05 Kunda1 Changeset attached => FreeCAD master be2b5777
2017-03-13 14:05 Kunda1 Changeset attached => FreeCAD master 9a5d920f
2017-03-13 14:05 Kunda1 Changeset attached => FreeCAD master 70451135
2017-03-13 14:05 Kunda1 Changeset attached => FreeCAD master 8bc6936b
2017-03-13 14:07 Kunda1 Changeset attached => FreeCAD master 4d21adf4
2017-03-13 14:07 Kunda1 Changeset attached => FreeCAD master 99fa203f
2017-03-13 14:08 Kunda1 Changeset attached => FreeCAD master 05544f39
2017-03-13 14:08 Kunda1 Changeset attached => FreeCAD master d925db17
2017-03-13 14:09 Kunda1 Changeset attached => FreeCAD master 3803896f
2017-03-13 14:09 Kunda1 Changeset attached => FreeCAD master e90ddefb
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master ed23c0d3
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 76b33977
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 55545fbc
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 125fd78f
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 944d62ef
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 04e0620d
2017-03-13 14:11 Kunda1 Changeset attached => FreeCAD master 70aebe98
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 1558e920
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 21ffbeaf
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master bcde3cd5
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 381419c2
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 8696ecdf
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 38921cf3
2017-03-13 14:12 Kunda1 Changeset attached => FreeCAD master 3d3a8d01
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master a101d426
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 32bacd0b
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 2673f9ed
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 4f43cfac
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 742d92c6
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 3efc4fee
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 9b6ef856
2017-03-13 14:13 Kunda1 Changeset attached => FreeCAD master 15916016
2017-03-13 14:15 Kunda1 Changeset attached => FreeCAD master da2b9f38
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master 8ad2c699
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master 31e44895
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master 1a21a4bc
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master 2bc11621
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master f3fb6762
2017-03-13 14:16 Kunda1 Changeset attached => FreeCAD master 4915a099
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master 0afb7b6a
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master 9f2a389d
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master a460c540
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master dcdce7ba
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master 8165b2ab
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master fc2010ba
2017-03-13 14:17 Kunda1 Changeset attached => FreeCAD master b265030d
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master e47edae9
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master 06a5bfb0
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master 9d85f3bb
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master 52fc8191
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master 76a4e746
2017-03-13 14:18 Kunda1 Changeset attached => FreeCAD master 5c0bcf61
2017-03-13 14:19 Kunda1 Changeset attached => FreeCAD master 915a1b18
2017-03-13 14:19 Kunda1 Changeset attached => FreeCAD master 3617fc36
2017-03-13 15:22 Kunda1 Changeset attached => FreeCAD master 2f93571c
2017-03-13 15:24 Kunda1 Changeset attached => FreeCAD master c0ec75eb
2017-03-13 15:25 Kunda1 Changeset attached => FreeCAD master e9b57222
2017-03-13 15:27 Kunda1 Changeset attached => FreeCAD master 42331bde
2017-03-13 15:27 Kunda1 Changeset attached => FreeCAD master f9cb89a9
2017-03-13 15:27 Kunda1 Changeset attached => FreeCAD master 91e2e004
2017-03-13 15:29 Kunda1 Changeset attached => FreeCAD master f6b6e62a
2017-03-13 15:37 Kunda1 Changeset attached => FreeCAD master 8b5fb47e
2017-03-13 15:37 Kunda1 Changeset attached => FreeCAD master 3a273788
2017-03-13 15:38 Kunda1 Changeset attached => FreeCAD master adb9353d
2017-03-13 15:38 Kunda1 Changeset attached => FreeCAD master a39ef71d
2017-03-13 15:38 Kunda1 Changeset attached => FreeCAD master 71f6a289
2017-03-13 15:39 Kunda1 Changeset attached => FreeCAD master da1081bc
2017-03-13 15:39 Kunda1 Changeset attached => FreeCAD master 159dbe2c
2017-03-13 15:39 Kunda1 Changeset attached => FreeCAD master 55826040
2017-03-13 15:39 Kunda1 Changeset attached => FreeCAD master 81464b5e
2017-03-13 15:40 Kunda1 Changeset attached => FreeCAD master c9f168d3
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master aa7aa647
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master bf10bf33
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master 094a4352
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master 85d8d704
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master a5b6e5d4
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master a07b9cd0
2017-03-13 15:41 Kunda1 Changeset attached => FreeCAD master b5bf7d6b
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master b10f8386
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master 91d6e24f
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master ebc6d372
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master f85d168e
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master 28144778
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master a6434637
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master cb922404
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master 05279d28
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master 10814929
2017-03-13 15:42 Kunda1 Changeset attached => FreeCAD master 65fe62d9
2017-03-13 15:43 Kunda1 Changeset attached => FreeCAD master bfdaa46f
2017-03-13 15:43 Kunda1 Changeset attached => FreeCAD master 36383135
2017-03-13 15:43 Kunda1 Changeset attached => FreeCAD master d78d7477
2017-03-13 15:43 Kunda1 Changeset attached => FreeCAD master a467612b
2017-03-13 15:43 Kunda1 Changeset attached => FreeCAD master 5aea3220
2017-03-13 15:44 Kunda1 Changeset attached => FreeCAD master 391cdf81
2017-03-13 15:44 Kunda1 Changeset attached => FreeCAD master f0951065
2017-04-26 00:20 Kunda1 Summary Python3 compatibility => Python3 compatibility (Ongoing)
2017-04-26 00:21 Kunda1 Sticky Issue No => Yes
2017-04-28 01:47 Kunda1 Changeset attached => FreeCAD master 84f86442
2017-05-06 20:21 Kunda1 Changeset attached => FreeCAD master 226dd17e
2017-05-06 20:22 Kunda1 Changeset attached => FreeCAD master aa3f9288
2017-05-06 20:22 Kunda1 Changeset attached => FreeCAD master a3539c51
2017-05-07 13:54 Kunda1 Changeset attached => FreeCAD master 4f044dcb
2017-05-10 19:13 wmayer Changeset attached => FreeCAD master 0d033757
2017-05-11 17:55 Kunda1 Changeset attached => FreeCAD master b07075db
2017-05-11 17:56 Kunda1 Changeset attached => FreeCAD master ca3e58e2
2017-05-15 20:51 Kunda1 Changeset attached => FreeCAD master dc413acc
2017-05-22 12:37 Kunda1 Changeset attached => FreeCAD master fed9d791
2017-05-22 12:37 Kunda1 Changeset attached => FreeCAD master ef22d520
2017-05-22 12:41 Kunda1 Changeset attached => FreeCAD master 2becb8a0
2017-05-22 12:41 Kunda1 Changeset attached => FreeCAD master 5fbca1a4
2017-05-22 12:42 Kunda1 Changeset attached => FreeCAD master 0e9e49cb
2017-05-22 12:42 Kunda1 Changeset attached => FreeCAD master 94c68d72
2017-05-28 00:06 Kunda1 Changeset attached => FreeCAD master 852a9841
2017-06-21 20:31 Kunda1 Changeset attached => FreeCAD master 947c10a4
2017-06-21 20:32 Kunda1 Changeset attached => FreeCAD master 11dcd18e
2017-07-04 13:12 Kunda1 Changeset attached => FreeCAD master b77d8cac
2017-07-18 16:05 Kunda1 Changeset attached => FreeCAD master 2e118be3
2017-07-18 16:18 Kunda1 Changeset attached => FreeCAD master a6894034
2018-03-19 13:46 Kunda1 Note Added: 0011048
2018-03-19 13:46 Kunda1 Target Version => 0.18
2018-03-19 13:48 Kunda1 Priority normal => urgent
2018-03-19 13:48 Kunda1 Severity minor => major
2018-08-31 06:58 Kunda1 Additional Information Updated View Revisions
2018-08-31 06:58 Kunda1 Note Edited: 0008064 View Revisions
2018-10-23 10:14 Kunda1 Relationship added parent of 0003630
2019-08-14 15:12 Kunda1 Changeset attached => FreeCAD master d3309886